# libdar::tronc Class Reference

make a segment of a generic_file appear like a real generic_file More...

`#include <tronc.hpp>`

Inherits libdar::generic_file.

List of all members.

## Public Member Functions
| tronc (user_interaction &dialog, generic_file *f, const infinint &offset, const infinint &size)
| constructor
bool | skip (const infinint &pos)
| inherited from generic_file
bool | skip_to_eof ()
| inherited from generic_file
bool | skip_relative (S_I x)
| inherited from generic_file
infinint | get_position ()
| inherited from generic_file
## Protected Member Functions
S_I | inherited_read (char *a, size_t size)
| inherited from generic_file
S_I | inherited_write (const char *a, size_t size)
| inherited from generic_file

## Detailed Description

make a segment of a generic_file appear like a real generic_file

Definition at line 43 of file tronc.hpp.

## Constructor & Destructor Documentation

libdar::tronc::tronc | ( | user_interaction & | dialog,
|  | generic_file * | f,
|  | const infinint & | offset,
|  | const infinint & | size |
| ) |  |  |

constructor

Parameters:

  | dialog | for user interaction
  | f | is the file to take out the segment
  | offset | is the position of the beginning of the segment
  | size | is the size of the segment

The documentation for this class was generated from the following file:

- tronc.hpp